# override definition from apache-devel
%define apache_addonconfdir %apache_confdir/addon-modules.d
%define apache_moduledir %_libdir/apache

Name: mod_geoip
Version: 1.2.9
Release: alt1.0

Summary: GeoIP database access module for Apache
Group: System/Servers
License: Apache
URL: http://www.maxmind.com/app/mod_geoip

Source: http://www.maxmind.com/download/geoip/api/mod_geoip/mod_geoip_%version.tar.gz
Source2: mod_geoip.conf

# Automatically added by buildreq on Tue May 23 2006
BuildRequires: apache-devel libGeoIP-devel

%description
mod_geoip looks up the IP address of the client end user.

%prep
%setup -q -n mod_geoip_%version

%build
%apache_apxs -c -I/usr/include/GeoIP -lGeoIP mod_geoip.c

%install
%__install -pD -m755 %name.so %buildroot%apache_moduledir/%name.so
%__install -pD -m644 %_sourcedir/%name.conf %buildroot%apache_addonconfdir/%name.conf

%post
/sbin/service httpd condrestart

%postun
/sbin/service httpd condrestart

%files
%apache_moduledir/*
%config(noreplace) %apache_addonconfdir/*

%changelog
* Mon Apr 16 2007 ALT QA Team Robot <qa-robot@altlinux.org> 1.2.9-alt1.0
- Automated rebuild.

* Tue May 23 2006 Victor Forsyuk <force@altlinux.ru> 1.2.9-alt1
- 1.2.9

* Tue Sep 27 2005 Victor Forsyuk <force@altlinux.ru> 1.2.8-alt1
- Initial build.
